Latest post Fri, Jan 4 2019 1:45 PM by MSPX. 12 replies.
Page 1 of 1 (13 items)
Sort Posts: Previous Next
  • Mon, Dec 31 2018 8:25 PM

    • CinéMatica
    • Not Ranked
    • Joined on Tue, Jun 24 2014
    • Belgium | Europe
    • Posts 103
    • Points 1,160

    No [N] 2018.12 Mac OS not qualified anymore

    A couple of hours ago I downloaded full of expectation the latest version (2012.12) of Media Composer for Mac.

    After reading the release notes my hope for this new version sunk away faster than the Titanic back in 1912. Reason; the Mac OS that I am using is not qualified anymore. Sad

    I do not understand that Windows 7, who has been released on July 27, 2009 still is qualified. And that Mac OS 10.11.6 El Capitan, released on September 30, 2015 is not. Huh? Upgrading my OS is not possible anymore with my Mac Pro from early 2009.

    For me this machine is still good enough for the things I do, but I also like to use the latest features that Avid releases. What will happen if I nevertheless install this new version? If this is possible of course. Is it going to perform less than on a qualified OS?

    Thanks in advanced for your answers.

    Happy New Year to you all! Smile Looks that the new year already is going to demand a new workstation. Cheers! Stick out tongue

    Friendly greetings,

    Ivan

    Avid Media Composer 2018.10.0.49715.0 | Avid Symphony Option | Avid ScriptSync 2.0 | Avid PhraseFind 2.0 | Avid Pro Tools 11.3.1.370 | Avid Application... [view my complete system specs]

    Yes, I have installed the latest DX driver.

  • Mon, Dec 31 2018 8:34 PM In reply to

    • Marianna
    • Top 25 Contributor
    • Joined on Thu, Oct 13 2005
    • Avid
    • Posts 10,152
    • Points 217,295
    • Avid Beta Moderators
      Avid Customer Advocate
      Avid Developer Moderator
      BlogAuthor
      SystemAdministrator

    Re: 2018.12 Mac OS not qualified anymore

    CineMatica

    The new features have just tested the older macOS and our testing did not perform favorably.  As well as some computers on the mac side were also removed due to performance issues as well.

    Sorry but rather have you know than stumble along with a non-performing system.

    Marianna

    Director of Online Communities and Forums/Customer Advocate [view my complete system specs]

    marianna.montague@avid.com

    mobile 813-493-6800

    Twitter:  avidmarianna

    Facebook: Marianna Montague

    www.avidcustomerassociation.com   |  Connect 2019 | April 6-7 | Aria, Las Vegas, NV

    WWLD

  • Mon, Dec 31 2018 8:50 PM In reply to

    • CinéMatica
    • Not Ranked
    • Joined on Tue, Jun 24 2014
    • Belgium | Europe
    • Posts 103
    • Points 1,160

    Re: 2018.12 Mac OS not qualified anymore

    Thanks for your very quick answer Marianna!

    Then I guess, I better put a new workstation on my list for 2019.

    Happy New Year to you and your family. And thanks for the great suport you have been giving us in 2018. Yes

    Greetings,

    Ivan

    Avid Media Composer 2018.10.0.49715.0 | Avid Symphony Option | Avid ScriptSync 2.0 | Avid PhraseFind 2.0 | Avid Pro Tools 11.3.1.370 | Avid Application... [view my complete system specs]

    Yes, I have installed the latest DX driver.

  • Mon, Dec 31 2018 8:55 PM In reply to

    • Marianna
    • Top 25 Contributor
    • Joined on Thu, Oct 13 2005
    • Avid
    • Posts 10,152
    • Points 217,295
    • Avid Beta Moderators
      Avid Customer Advocate
      Avid Developer Moderator
      BlogAuthor
      SystemAdministrator

    Re: 2018.12 Mac OS not qualified anymore

    You bet - but you can always try it anyway :)  Since when do peeps actually follow the rules HEEHEEEE

    Marianna

    Director of Online Communities and Forums/Customer Advocate [view my complete system specs]

    marianna.montague@avid.com

    mobile 813-493-6800

    Twitter:  avidmarianna

    Facebook: Marianna Montague

    www.avidcustomerassociation.com   |  Connect 2019 | April 6-7 | Aria, Las Vegas, NV

    WWLD

  • Mon, Dec 31 2018 10:11 PM In reply to

    • Andrew
    • Not Ranked
    • Joined on Wed, Apr 6 2011
    • Costa Mesa, Orange County, California
    • Posts 105
    • Points 1,245

    Re: 2018.12 Mac OS not qualified anymore

    CinéMatica:

    A couple of hours ago I downloaded full of expectation the latest version (2012.12) of Media Composer for Mac.

    After reading the release notes my hope for this new version sunk away faster than the Titanic back in 1912. Reason; the Mac OS that I am using is not qualified anymore. Sad

    I do not understand that Windows 7, who has been released on July 27, 2009 still is qualified. And that Mac OS 10.11.6 El Capitan, released on September 30, 2015 is not. Huh? Upgrading my OS is not possible anymore with my Mac Pro from early 2009.

    For me this machine is still good enough for the things I do, but I also like to use the latest features that Avid releases. What will happen if I nevertheless install this new version? If this is possible of course. Is it going to perform less than on a qualified OS?

    Thanks in advanced for your answers.

    Happy New Year to you all! Smile Looks that the new year already is going to demand a new workstation. Cheers! Stick out tongue

    Friendly greetings,

    Ivan

    Hi, I'm having trouble understanding what the issue is.  I installed Mojave 10.14.2 before uninstalling 2018.11 and installing 2018.12 and everything is fine on my end.  In fact, I saw your post after I installed the new Mojave and I freaked!

    Avid MC v2018.12.1, macOS Mojave 10.14.2, iMac 21.5-inch, late 2015 (purchased new on Jan. 2017), , Processor: 2.8 GHz Intel Core i5, Memory: 16 GB 1867... [view my complete system specs]
  • Tue, Jan 1 2019 6:33 PM In reply to

    • CinéMatica
    • Not Ranked
    • Joined on Tue, Jun 24 2014
    • Belgium | Europe
    • Posts 103
    • Points 1,160

    Re: 2018.12 Mac OS not qualified anymore

    Andrew,

    The problem is that I cannot upgrade my OS anymore. Apple decided that El Capitan is the final stage for a Mac Pro 4.1 (early 2009). 

    The installer works but I didn't install it yet because I am in the middle of a project right now. After this is finished I will give it a try to see how it performs and how stable it is. I am not into 4K at this moment, so maybe that will give me some breathing room.

    The Mac Pro I own is 10 years old. It originally housed Final Cut Studio, then Adobe Production Premium CS6 and since 2014 the old and trusty Avid. So I guess after a decade it probably is time to move on.

    Avid Media Composer 2018.10.0.49715.0 | Avid Symphony Option | Avid ScriptSync 2.0 | Avid PhraseFind 2.0 | Avid Pro Tools 11.3.1.370 | Avid Application... [view my complete system specs]

    Yes, I have installed the latest DX driver.

  • Tue, Jan 1 2019 8:01 PM In reply to

    • conleec
    • Top 75 Contributor
    • Joined on Thu, Oct 13 2005
    • Los Angeles
    • Posts 1,320
    • Points 17,065

    Re: 2018.12 Mac OS not qualified anymore

    CineMatica,

    While it probably isn't what Apple would like you to do, you can flash the firmware on your 4,1 machine and make it into a 5,1 machine. At that point your can install High Sierra. I've done it, and it works well in my case. Of course I also upgraded my processors at the same time. Search eBay for vendors who will do it. I'm running 12.13.6 and Avid MC 2018.12. You can do a Google search for the Mac Pro firmware updater. It's not hard to find. Squeeze another year or two out of that old trusty beast.

    Chris

    MacPro 3.33Ghz 12 Core (Westmere, MacPro 5,1), 48Gb RAM, nVidia GeForce GTX 680, Intensity Pro (Desktop Video 10.4.3), OS X 10.13.6, MC 2018.12 [view my complete system specs]
  • Tue, Jan 1 2019 8:18 PM In reply to

    • Andrew
    • Not Ranked
    • Joined on Wed, Apr 6 2011
    • Costa Mesa, Orange County, California
    • Posts 105
    • Points 1,245

    Re: 2018.12 Mac OS not qualified anymore

    CinéMatica:

     

    Andrew,

    The problem is that I cannot upgrade my OS anymore. Apple decided that El Capitan is the final stage for a Mac Pro 4.1 (early 2009). 

    The installer works but I didn't install it yet because I am in the middle of a project right now. After this is finished I will give it a try to see how it performs and how stable it is. I am not into 4K at this moment, so maybe that will give me some breathing room.

    The Mac Pro I own is 10 years old. It originally housed Final Cut Studio, then Adobe Production Premium CS6 and since 2014 the old and trusty Avid. So I guess after a decade it probably is time to move on.

     

    OK, got it.  Yeah, a couple of years ago this month I had to get a new iMac after nine years with my previous iMac and Snow Leopard for six years.

    Avid MC v2018.12.1, macOS Mojave 10.14.2, iMac 21.5-inch, late 2015 (purchased new on Jan. 2017), , Processor: 2.8 GHz Intel Core i5, Memory: 16 GB 1867... [view my complete system specs]
  • Tue, Jan 1 2019 8:22 PM In reply to

    • CinéMatica
    • Not Ranked
    • Joined on Tue, Jun 24 2014
    • Belgium | Europe
    • Posts 103
    • Points 1,160

    Re: 2018.12 Mac OS not qualified anymore

    Thanks Chris,

    I will check out what you are proposing.

    Ivan

    Avid Media Composer 2018.10.0.49715.0 | Avid Symphony Option | Avid ScriptSync 2.0 | Avid PhraseFind 2.0 | Avid Pro Tools 11.3.1.370 | Avid Application... [view my complete system specs]

    Yes, I have installed the latest DX driver.

  • Wed, Jan 2 2019 3:30 PM In reply to

    • Isaac T.
    • Top 150 Contributor
    • Joined on Mon, Jan 9 2006
    • New York / Knoxville, TN
    • Posts 741
    • Points 8,760

    Re: 2018.12 Mac OS not qualified anymore

    @CinéMatica:

    CinéMatica:

    For me this machine is still good enough for the things I do, but I also like to use the latest features that Avid releases.

    It's also possible to install a newer version of macOS on your 2009 Mac Pro with this reputable macOS patcher:

    http://dosdude1.com/software.html

    I know he calls himself "dosdude", but it works.

    Includes step-by-step instructions with notes on known issues. Worth a go if you need to stay afloat with your current hardware.

    Mid-2010 Mac Pro • 2018 MacBook Pro [view my complete system specs]

    isaact.co | Twitter | Instagram | Vimeo

     

    Writer: The Frame.io WORKFLOW Guide - http://workflow.frame.io/

     

    Post Workflow Consultant - https://isaact.co/

  • Wed, Jan 2 2019 8:22 PM In reply to

    • CinéMatica
    • Not Ranked
    • Joined on Tue, Jun 24 2014
    • Belgium | Europe
    • Posts 103
    • Points 1,160

    Re: 2018.12 Mac OS not qualified anymore

    Isaac T.:

    It's also possible to install a newer version of macOS on your 2009 Mac Pro with this reputable macOS patcher:

    http://dosdude1.com/software.html

    I know he calls himself "dosdude", but it works.

    Includes step-by-step instructions with notes on known issues. Worth a go if you need to stay afloat with your current hardware.

    Wow, I didn't know that something like this existed! I will definitely give it a try after I finished my current project.

    Thank you very much Isaac!

    Avid Media Composer 2018.10.0.49715.0 | Avid Symphony Option | Avid ScriptSync 2.0 | Avid PhraseFind 2.0 | Avid Pro Tools 11.3.1.370 | Avid Application... [view my complete system specs]

    Yes, I have installed the latest DX driver.

  • Thu, Jan 3 2019 5:28 AM In reply to

    • Dennis
    • Not Ranked
    • Joined on Mon, Jul 6 2009
    • Posts 76
    • Points 840
    • Avid Certified Instructors - Video
      Avid Certified User

    Re: 2018.12 Mac OS not qualified anymore

    Marianna,

    So a 2012 5,1 Mac Pro with dual 3.46 hexacore processors,  64 gigs of ram and an Nvidia 980 graphics card High Sierra or Mojave will not work with Media Composer 2018.12?

    MacBook Pro Retina 16 gig ram, Mac Pro 12 core, 16 gig Ram. [view my complete system specs]
  • Fri, Jan 4 2019 1:45 PM In reply to

    • MSPX
    • Not Ranked
    • Joined on Tue, Oct 30 2007
    • Posts 9
    • Points 115

    Re: 2018.12 Mac OS not qualified anymore

    Check out the Group "MacProUpgrade" on Facebook. They are all about getting classic Mac Pros upgraded and working with the latest OS.

    I have a 4.1, that I have flashed to a 5.1 (pretty easy to do) and with a 5.1 you can "legally"without any cracks etc. go up to Mojave.

    BUT I'd recommend not going higher than Yosemite with the old MacPros, because later Versions of OSX are horribly slow with MC (I'm running a maxed out 12core 3.46 / 64GB Ram / Radeon RX580)

    Right now my 4.1 is running Mojave with MC 2018.11 but I'm barely ever using it, because of the slow performance. My main System is a 6.1 Trashcan with MC 2018.11 on Mojave, also poor performance...

    An iMac (i7) performs better than the Trashcan Mac Pro. Just for those who are wondering what Apple system they should get.

    Wait up for the new Mac Pro and hope it won't cost a fortune, that's what I do...

     

Page 1 of 1 (13 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller